// $Id: ispngfixbk.js,v 1.1 2008/12/08 00:58:13 pvb Exp $ 
var IS_PNGFIX = window.IS_PNGFIX || {};

IS_PNGFIX.fused_fix = undefined;  

IS_PNGFIX.used_fix = function() {  
    if (this.fused_fix == undefined) {
      this.fused_fix = jQuery.browser.msie;
      if (this.fused_fix) {
        this.fused_fix = (navigator.appVersion.indexOf("MSIE 5.5") != -1) || (navigator.appVersion.indexOf("MSIE 6.0") != -1);
      }
    }
    return this.fused_fix;
};
  
IS_PNGFIX.get_cssstyle = function (obj, name) {
    if (obj.css(name)) {
      return name + ':'+ obj.css(name)+';';
    }
    else return '';
};

IS_PNGFIX.get_cssstyle_obj = function (obj, name) {
    if (obj.css(name)) {
      return {name: obj.css(name)};
    }
    else return {};
};
  
IS_PNGFIX.get_cssstyle_border = function (obj) {
    var result = '';
    result += this.get_cssstyle(obj, 'border-top-width') + this.get_cssstyle(obj, 'border-top-style') + this.get_cssstyle(obj, 'border-top-color');
    result += this.get_cssstyle(obj, 'border-right-width') + this.get_cssstyle(obj, 'border-right-style') + this.get_cssstyle(obj, 'border-right-color');
    result += this.get_cssstyle(obj, 'border-bottom-width') + this.get_cssstyle(obj, 'border-bottom-style') + this.get_cssstyle(obj, 'border-bottom-color');
    result += this.get_cssstyle(obj, 'border-left-width') + this.get_cssstyle(obj, 'border-left-style') + this.get_cssstyle(obj, 'border-left-color');
    return result;
};

IS_PNGFIX.get_cssstyle_margin = function (obj) {
    var result = '';
    result += this.get_cssstyle(obj, 'margin');
    return result;
};

IS_PNGFIX.get_cssstyle_padding = function (obj) {
    var result = '';
    result += this.get_cssstyle(obj, 'padding');
    return result;
};

IS_PNGFIX.change = function(element) {
//    alert(span_element.tagName);
},
  
IS_PNGFIX.fix = function (element) {

    if (!this.used_fix()) return;
    if (element.tagName != 'IMG') return;
    //alert('yes');
      var img = $(element);
      var url = img.css('background-image');
      var src = (url ? url.match(/^url\(['"]?(.*\.png)['"]?\)$/i) : '');
      if (!src) return;
      
      src = src[1];
      
      var pos_x = parseInt(img.css('background-position-x'));
      var pos_y = parseInt(img.css('background-position-y'));
      var width = parseInt(img.css('width'));
      var height = parseInt(img.css('height'));
      
      var imgId = '';
      //var imgClass = 'class="is-pngfixiebk" ';
      var imgClass = '';
/*      var imgId = img.attr('id');
      imgId = (imgId ? 'id="' + imgId + '" ' : '');
      var imgClass = img.attr('class');
      imgClass = (imgClass ? 'class="' + imgClass + '" ' : '');
*/      
      var imgTitle = img.attr('title');
      imgTitle = (imgTitle ? 'title="' + imgTitle + '" ' : '');
      var imgAlt = img.attr('alt');
      imgAlt =  (imgAlt ? 'alt="' + imgAlt + '" ' : '');
	  
      var imgHand = (img.parent().attr('href')) ? 'cursor:hand;' : '';
      // restor img (jquery = )
      var img = $(element);
      
      var imgVAlign = img.css('vertical-align');
      imgVAlign = (imgVAlign ? 'vertical-align:'+imgVAlign+';' : '');
      
      var imgAlign = '';
      var imgStyle = '';
	  
      //var imgAlign = (img.attr('align')) ? 'float:' + img.attr('align') + ';' : '';	  
      var prevStyle = '';
      prevStyle += this.get_cssstyle_border(img);
      prevStyle += this.get_cssstyle(img, 'padding');
      prevStyle += this.get_cssstyle(img, 'margin');

      var imgStyle = (img[0].style.cssText);
      
      var strNewHTML = '';
      strNewHTML += '<span '+imgId+imgClass+imgTitle+imgAlt;
      strNewHTML += 'style="position:relative;white-space:pre-line;display:inline-block;background:transparent;'+imgAlign;
      strNewHTML += 'left:' + pos_x + 'px;' + 'top:' + pos_y + 'px;';
      strNewHTML += 'width:' + (width-pos_x) + 'px;' + 'height:' + (height-pos_y) + 'px;';
      strNewHTML += 'filter:progid:DXImageTransform.Microsoft.AlphaImageLoader' + '(src=\'' + src + '\',sizingMethod=\'crop\')';
      strNewHTML += ';';
      strNewHTML += imgStyle+'"></span>';
	  strNewHTML = '<span style="overflow:hidden;position:relative;display:inline-block;'+ imgHand + imgVAlign +
	    'width:' + width + 'px;' + 'height:' + height + 'px;'+prevStyle+'">' + strNewHTML + '</span>';

      img.after(strNewHTML);
      img.hide();
};

